Bug 472234 (CVE-2008-5358) - CVE-2008-5358 OpenJDK Buffer Overflow in GIF image processing (6766136)
Summary: CVE-2008-5358 OpenJDK Buffer Overflow in GIF image processing (6766136)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5358
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 473317 489679 489680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-19 14:54 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 17:10:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0369 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-03-25 14:52:47 UTC

Comment 2 Marc Schoenefeld 2008-12-05 10:02:53 UTC
Name: CVE-2008-5358
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5358
Reference: IDEFENSE:20081204 Sun Java Web Start GIF Decoding Memory Corruption Vulnerability
Reference: URL:http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=758
Reference: SUNALERT:244987
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-244987-1

Java Runtime Environment (JRE) for Sun JDK and JRE 6 Update 10 and
earlier might allow remote attackers to execute arbitrary code via a
crafted GIF file that triggers memory corruption during display of the
splash screen, possibly related to splashscreen.dll.

Comment 3 Fedora Update System 2008-12-07 04:27:39 UTC
java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-12-07 04:33:03 UTC
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Lieskovsky 2008-12-08 09:23:20 UTC
Another mention of this issue:

http://secunia.com/advisories/32991/ (Point 3) ).

Comment 8 errata-xmlrpc 2009-03-25 14:52:38 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0369 https://rhn.redhat.com/errata/RHSA-2009-0369.html

Comment 9 Vincent Danen 2010-12-25 17:10:09 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 Extras (java-1.6.0-sun) RHSA-2008:1018
RHEL Supplementary version 5 (java-1.6.0-sun) RHSA-2008:1018
Red Hat Enterprise Linux version 4 Extras (java-1.6.0-ibm) RHSA-2009:0369
RHEL Supplementary version 5 (java-1.6.0-ibm) RHSA-2009:0369


Note You need to log in before you can comment on or make changes to this bug.